Package xg.protocol.messages

# Enum Class ProtocolPrivMessages.protocolPrivMessage.messageType

java.lang.Object
java.lang.Enum<ProtocolPrivMessages.protocolPrivMessage.messageType>
xg.protocol.messages.ProtocolPrivMessages.protocolPrivMessage.messageType

All Implemented Interfaces:
  `Internal.EnumLite`, `ProtocolMessageEnum`, `Serializable`, `Comparable<ProtocolPrivMessages.protocolPrivMessage.messageType>`, `Constable`

Enclosing class:
  ProtocolPrivMessages.protocolPrivMessage

public static enum ProtocolPrivMessages.protocolPrivMessage.messageType extends Enum<ProtocolPrivMessages.protocolPrivMessage.messageType> implements ProtocolMessageEnum
Protobuf enum `xg.protocol.messages.protocolPrivMessage.messageType`

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ACK`
The message is an ACK
`DISABLE_PROTOCOL`
Resquests that a protocol be disabled on the channel
`ENABLE_PROTOCOL`
Requests that a protocol be enabled on the channel
`INVALID`
Invalid message
`NOTIFY_IDENTITY`
Sent to notify the remote of identity
`UNRECOGNIZED`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`ACK_VALUE`
The message is an ACK
`static final int`
`DISABLE_PROTOCOL_VALUE`
Resquests that a protocol be disabled on the channel
`static final int`
`ENABLE_PROTOCOL_VALUE`
Requests that a protocol be enabled on the channel
`static final int`
`INVALID_VALUE`
Invalid message
`static final int`
`NOTIFY_IDENTITY_VALUE`
Sent to notify the remote of identity

## Method Summary

Modifier and Type
Method
Description
`static ProtocolPrivMessages.protocolPrivMessage.messageType`
`forNumber(int value)`
`static final Descriptors.EnumDescriptor`
`getDescriptor()`
`final Descriptors.EnumDescriptor`
`getDescriptorForType()`
Return the enum type's descriptor, which contains information about each defined value, etc.
`final int`
`getNumber()`
Return the value's numeric value as defined in the .proto file.
`final Descriptors.EnumValueDescriptor`
`getValueDescriptor()`
Return the value's descriptor, which contains information such as value name, number, and type.
`static Internal.EnumLiteMap<ProtocolPrivMessages.protocolPrivMessage.messageType>`
`internalGetValueMap()`
`static ProtocolPrivMessages.protocolPrivMessage.messageType`
`valueOf(int value)`
Deprecated.
`static ProtocolPrivMessages.protocolPrivMessage.messageType`
`valueOf(Descriptors.EnumValueDescriptor desc)`
Returns the enum constant of this class with the specified name.
`static ProtocolPrivMessages.protocolPrivMessage.messageType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ProtocolPrivMessages.protocolPrivMessage.messageType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### INVALID

public static final ProtocolPrivMessages.protocolPrivMessage.messageType INVALID

     Invalid message

`INVALID = 0;`

### NOTIFY_IDENTITY

public static final ProtocolPrivMessages.protocolPrivMessage.messageType NOTIFY_IDENTITY

     Sent to notify the remote of identity

`NOTIFY_IDENTITY = 1;`

### ENABLE_PROTOCOL

public static final ProtocolPrivMessages.protocolPrivMessage.messageType ENABLE_PROTOCOL

     Requests that a protocol be enabled on the channel

`ENABLE_PROTOCOL = 2;`

### DISABLE_PROTOCOL

public static final ProtocolPrivMessages.protocolPrivMessage.messageType DISABLE_PROTOCOL

     Resquests that a protocol be disabled on the channel

`DISABLE_PROTOCOL = 3;`

### ACK

public static final ProtocolPrivMessages.protocolPrivMessage.messageType ACK

     The message is an ACK

`ACK = 255;`

### UNRECOGNIZED

public static final ProtocolPrivMessages.protocolPrivMessage.messageType UNRECOGNIZED

## Field Details

### INVALID_VALUE

public static final int INVALID_VALUE

     Invalid message

`INVALID = 0;`

See Also:
  - Constant Field Values

### NOTIFY_IDENTITY_VALUE

public static final int NOTIFY_IDENTITY_VALUE

     Sent to notify the remote of identity

`NOTIFY_IDENTITY = 1;`

See Also:
  - Constant Field Values

### ENABLE_PROTOCOL_VALUE

public static final int ENABLE_PROTOCOL_VALUE

     Requests that a protocol be enabled on the channel

`ENABLE_PROTOCOL = 2;`

See Also:
  - Constant Field Values

### DISABLE_PROTOCOL_VALUE

public static final int DISABLE_PROTOCOL_VALUE

     Resquests that a protocol be disabled on the channel

`DISABLE_PROTOCOL = 3;`

See Also:
  - Constant Field Values

### ACK_VALUE

public static final int ACK_VALUE

     The message is an ACK

`ACK = 255;`

See Also:
  - Constant Field Values

## Method Details

### values

public static ProtocolPrivMessages.protocolPrivMessage.messageType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static ProtocolPrivMessages.protocolPrivMessage.messageType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getNumber

public final int getNumber()
Description copied from interface: `ProtocolMessageEnum`
Return the value's numeric value as defined in the .proto file.

Specified by:
  `getNumber` in interface `Internal.EnumLite`
Specified by:
  `getNumber` in interface `ProtocolMessageEnum`

### valueOf

@Deprecated public static ProtocolPrivMessages.protocolPrivMessage.messageType valueOf(int value)
Deprecated.
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `value` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### forNumber

public static ProtocolPrivMessages.protocolPrivMessage.messageType forNumber(int value)

Parameters:
  `value` - The numeric wire value of the corresponding enum entry.
Returns:
  The enum associated with the given numeric wire value.

### internalGetValueMap

public static Internal.EnumLiteMap<ProtocolPrivMessages.protocolPrivMessage.messageType> internalGetValueMap()

### getValueDescriptor

public final Descriptors.EnumValueDescriptor getValueDescriptor()
Description copied from interface: `ProtocolMessageEnum`
Return the value's descriptor, which contains information such as value name, number, and type.

Specified by:
  `getValueDescriptor` in interface `ProtocolMessageEnum`

### getDescriptorForType

public final Descriptors.EnumDescriptor getDescriptorForType()
Description copied from interface: `ProtocolMessageEnum`
Return the enum type's descriptor, which contains information about each defined value, etc.

Specified by:
  `getDescriptorForType` in interface `ProtocolMessageEnum`

### getDescriptor

public static final Descriptors.EnumDescriptor getDescriptor()

### valueOf

public static ProtocolPrivMessages.protocolPrivMessage.messageType valueOf(Descriptors.EnumValueDescriptor desc)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `desc` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null